<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>External Data Structures</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">External Data Structures<div class="ingroups"><a class="el" href="group___g_t_r_a_c_k___a_l_g.html">GTRACK Algorithm Library</a> &raquo; <a class="el" href="group___g_t_r_a_c_k___external.html">Externals</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Data structures exposed to Application.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__boundary_box.html">GTRACK_boundaryBox</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Box Structure.  <a href="struct_g_t_r_a_c_k__boundary_box.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__scenery_params.html">GTRACK_sceneryParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Scene Parameters.  <a href="struct_g_t_r_a_c_k__scenery_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__gate_limits.html">GTRACK_gateLimits</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Gate Limits.  <a href="struct_g_t_r_a_c_k__gate_limits.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__gating_params.html">GTRACK_gatingParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Gating Function Parameters.  <a href="struct_g_t_r_a_c_k__gating_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__state_params.html">GTRACK_stateParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Tracking Management Function Parameters.  <a href="struct_g_t_r_a_c_k__state_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__var_params.html">GTRACK_varParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Update Function Parameters.  <a href="struct_g_t_r_a_c_k__var_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__allocation_params.html">GTRACK_allocationParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Allocation Function Parameters.  <a href="struct_g_t_r_a_c_k__allocation_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__unrolling_params.html">GTRACK_unrollingParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Unrolling Parameters.  <a href="struct_g_t_r_a_c_k__unrolling_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__advanced_parameters.html">GTRACK_advancedParameters</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Advanced Parameters.  <a href="struct_g_t_r_a_c_k__advanced_parameters.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html">GTRACK_moduleConfig</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Configuration.  <a href="struct_g_t_r_a_c_k__module_config.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Measurement point.  <a href="struct_g_t_r_a_c_k__measurement_point.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Measurement variances.  <a href="struct_g_t_r_a_c_k__measurement_variance.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK target descriptor.  <a href="struct_g_t_r_a_c_k__target_desc.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga2733d052b2cd02bb8211eb817aa3190d"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2733d052b2cd02bb8211eb817aa3190d">gtrack_create</a> (<a class="el" href="struct_g_t_r_a_c_k__module_config.html">GTRACK_moduleConfig</a> *config, int32_t *errCode)</td></tr>
<tr class="separator:ga2733d052b2cd02bb8211eb817aa3190d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab690635a7210e712a6d3ab4eef331071"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab690635a7210e712a6d3ab4eef331071">gtrack_step</a> (void *handle, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, <a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a> *var, uint16_t mNum, <a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *t, uint16_t *tNum, uint8_t *mIndex, uint32_t *bench)</td></tr>
<tr class="separator:gab690635a7210e712a6d3ab4eef331071"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ab64b40df30e6956990bb79d63e78b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0ab64b40df30e6956990bb79d63e78b4">gtrack_delete</a> (void *handle)</td></tr>
<tr class="separator:ga0ab64b40df30e6956990bb79d63e78b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Maximum supported configurations</h2></td></tr>
<tr class="memitem:ga622b9062312e3832a45e8d78f307bf32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga622b9062312e3832a45e8d78f307bf32"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga622b9062312e3832a45e8d78f307bf32">GTRACK_NUM_POINTS_MAX</a>&#160;&#160;&#160;(1000U)</td></tr>
<tr class="memdesc:ga622b9062312e3832a45e8d78f307bf32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines maximum possible number of measurments point the algorithm will accept at configuration time. <br /></td></tr>
<tr class="separator:ga622b9062312e3832a45e8d78f307bf32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0cc093499dcb27b25d93db1721c46b73"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga0cc093499dcb27b25d93db1721c46b73"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0cc093499dcb27b25d93db1721c46b73">GTRACK_NUM_TRACKS_MAX</a>&#160;&#160;&#160;(250U)</td></tr>
<tr class="memdesc:ga0cc093499dcb27b25d93db1721c46b73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines maximum possible number of tracking target the algorithm will accept at configuration time. <br /></td></tr>
<tr class="separator:ga0cc093499dcb27b25d93db1721c46b73"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Target ID definitions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrpc47bbc605d086074bf9c5120d88e3d48"></a> Target IDs are uint8_t, with valid IDs ranging from 0 to 249. Values 250 to 252 are reserved for future use, other values as defined below </p>
</td></tr>
<tr class="memitem:gad5cda721a38a3cb6c84b289f388d5796"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gad5cda721a38a3cb6c84b289f388d5796"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad5cda721a38a3cb6c84b289f388d5796">GTRACK_ID_POINT_TOO_WEAK</a>&#160;&#160;&#160;(253U)</td></tr>
<tr class="memdesc:gad5cda721a38a3cb6c84b289f388d5796"><td class="mdescLeft">&#160;</td><td class="mdescRight">Point is not associated, is too weak. <br /></td></tr>
<tr class="separator:gad5cda721a38a3cb6c84b289f388d5796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac15e912ce87065507395f47e3fba665d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac15e912ce87065507395f47e3fba665d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac15e912ce87065507395f47e3fba665d">GTRACK_ID_POINT_BEHIND_THE_WALL</a>&#160;&#160;&#160;(254U)</td></tr>
<tr class="memdesc:gac15e912ce87065507395f47e3fba665d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Point is not associated, is behind the wall. <br /></td></tr>
<tr class="separator:gac15e912ce87065507395f47e3fba665d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a522224d04fcc4aec672fcb7d6560e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga9a522224d04fcc4aec672fcb7d6560e4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga9a522224d04fcc4aec672fcb7d6560e4">GTRACK_ID_POINT_NOT_ASSOCIATED</a>&#160;&#160;&#160;(255U)</td></tr>
<tr class="memdesc:ga9a522224d04fcc4aec672fcb7d6560e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Point is not associated, noise. <br /></td></tr>
<tr class="separator:ga9a522224d04fcc4aec672fcb7d6560e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Benchmarking results</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrp4d83912fb2582d6dcdd46bdf918301e0"></a> During runtime execution, tracking step function can optionally return cycle counts for the sub-functions defined below Each count is 32bit unsigned integer value representing a timestamp of free runing clock </p>
</td></tr>
<tr class="memitem:gaabddb80eb950d627750bba2aa371d131"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaabddb80eb950d627750bba2aa371d131"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaabddb80eb950d627750bba2aa371d131">GTRACK_BENCHMARK_SETUP</a>&#160;&#160;&#160;(0U)</td></tr>
<tr class="memdesc:gaabddb80eb950d627750bba2aa371d131"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count at step setup. <br /></td></tr>
<tr class="separator:gaabddb80eb950d627750bba2aa371d131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf98b37f96aac697eee16e566680da540"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf98b37f96aac697eee16e566680da540"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf98b37f96aac697eee16e566680da540">GTRACK_BENCHMARK_PREDICT</a>&#160;&#160;&#160;(1U)</td></tr>
<tr class="memdesc:gaf98b37f96aac697eee16e566680da540"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after predict function. <br /></td></tr>
<tr class="separator:gaf98b37f96aac697eee16e566680da540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga221904397d2500dbc3b6f9a26f89f87d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga221904397d2500dbc3b6f9a26f89f87d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga221904397d2500dbc3b6f9a26f89f87d">GTRACK_BENCHMARK_ASSOCIATE</a>&#160;&#160;&#160;(2U)</td></tr>
<tr class="memdesc:ga221904397d2500dbc3b6f9a26f89f87d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after associate function. <br /></td></tr>
<tr class="separator:ga221904397d2500dbc3b6f9a26f89f87d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e206bc4ea2d255a230db00075bd1bba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3e206bc4ea2d255a230db00075bd1bba"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3e206bc4ea2d255a230db00075bd1bba">GTRACK_BENCHMARK_ALLOCATE</a>&#160;&#160;&#160;(3U)</td></tr>
<tr class="memdesc:ga3e206bc4ea2d255a230db00075bd1bba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after allocate function. <br /></td></tr>
<tr class="separator:ga3e206bc4ea2d255a230db00075bd1bba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab18a34d6995e78353e12b120d6aa897c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab18a34d6995e78353e12b120d6aa897c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab18a34d6995e78353e12b120d6aa897c">GTRACK_BENCHMARK_UPDATE</a>&#160;&#160;&#160;(4U)</td></tr>
<tr class="memdesc:gab18a34d6995e78353e12b120d6aa897c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after update function. <br /></td></tr>
<tr class="separator:gab18a34d6995e78353e12b120d6aa897c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf349132994321744ac1ea4d3c3f1f1d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf349132994321744ac1ea4d3c3f1f1d7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf349132994321744ac1ea4d3c3f1f1d7">GTRACK_BENCHMARK_REPORT</a>&#160;&#160;&#160;(5U)</td></tr>
<tr class="memdesc:gaf349132994321744ac1ea4d3c3f1f1d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after report function. <br /></td></tr>
<tr class="separator:gaf349132994321744ac1ea4d3c3f1f1d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga395da7089c9f0bc8e946ea762e205a59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga395da7089c9f0bc8e946ea762e205a59"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga395da7089c9f0bc8e946ea762e205a59">GTRACK_BENCHMARK_SIZE</a>&#160;&#160;&#160;(<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf349132994321744ac1ea4d3c3f1f1d7">GTRACK_BENCHMARK_REPORT</a>+1U)</td></tr>
<tr class="memdesc:ga395da7089c9f0bc8e946ea762e205a59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of benchmarking array. <br /></td></tr>
<tr class="separator:ga395da7089c9f0bc8e946ea762e205a59"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Boundary boxes</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrpd5e241b8bbc1a3b3b13ef65d1f580ba6"></a> Application can configure tracker with scene boundries. Boundaries are defined as a boxes. </p>
</td></tr>
<tr class="memitem:ga27e76ea0967be28831d56b8af6e5a5ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga27e76ea0967be28831d56b8af6e5a5ff"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga27e76ea0967be28831d56b8af6e5a5ff">GTRACK_MAX_BOUNDARY_BOXES</a>&#160;&#160;&#160;(2U)</td></tr>
<tr class="memdesc:ga27e76ea0967be28831d56b8af6e5a5ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of boundary boxes. Points outside of boundary boxes are ignored. <br /></td></tr>
<tr class="separator:ga27e76ea0967be28831d56b8af6e5a5ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf42bdc2aac8f7665adc3f4670e0598a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf42bdc2aac8f7665adc3f4670e0598a0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf42bdc2aac8f7665adc3f4670e0598a0">GTRACK_MAX_STATIC_BOXES</a>&#160;&#160;&#160;(2U)</td></tr>
<tr class="memdesc:gaf42bdc2aac8f7665adc3f4670e0598a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of static boxes. Targets inside the static box can persist longer. <br /></td></tr>
<tr class="separator:gaf42bdc2aac8f7665adc3f4670e0598a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Data structures exposed to Application. </p>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="gaf4e7f0c554d80908c50d5bbdc233ce6c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GTRACK State Vector. </p>
<p>Defines State vector options 2D - Depreciated, not supported 2DA - Supported 3D, 3DA - Not supported (Future) </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggaf4e7f0c554d80908c50d5bbdc233ce6ca002bdad9e90643511b9909818d44edfd"></a>GTRACK_STATE_VECTORS_2D&#160;</td><td class="fielddoc">
<p>2D motion model with constant velocity. State vector has four variables S={X,Y, Vx,Vy} </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaf4e7f0c554d80908c50d5bbdc233ce6ca111aa6089ca0bc2cf86f474fb36cb0e3"></a>GTRACK_STATE_VECTORS_2DA&#160;</td><td class="fielddoc">
<p>2D motion model with constant acceleration. State vector has six variables S={X,Y, Vx,Vy, Ax,Ay} </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaf4e7f0c554d80908c50d5bbdc233ce6ca9851e638a98641f2c7461d071785fb89"></a>GTRACK_STATE_VECTORS_3D&#160;</td><td class="fielddoc">
<p>3D motion model with constant velocity. State vector has six variables S={X,Y,Z, Vx,Vy,Vz} </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaf4e7f0c554d80908c50d5bbdc233ce6ca44531fd349ae0184070eff11be30938c"></a>GTRACK_STATE_VECTORS_3DA&#160;</td><td class="fielddoc">
<p>3D motion model with constant acceleration. State vector has nine variables S={X,Y,Z, Vx,Vy,Vz, Ax,Ay,Az} </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga56ae787b8feff2425013007288693b14"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga56ae787b8feff2425013007288693b14">GTRACK_VERBOSE_TYPE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GTRACK Verbose Level. </p>
<p>Defines Algorithm verboseness level </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga56ae787b8feff2425013007288693b14a26b48e71b421f25012fe889c608abf8c"></a>GTRACK_VERBOSE_NONE&#160;</td><td class="fielddoc">
<p>NONE. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga56ae787b8feff2425013007288693b14a3301b46face212a8040f7f7bf9e017b2"></a>GTRACK_VERBOSE_ERROR&#160;</td><td class="fielddoc">
<p>ERROR Level, only errors are reported. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga56ae787b8feff2425013007288693b14aa3294c409fec3c0bbc8e0e7533269760"></a>GTRACK_VERBOSE_WARNING&#160;</td><td class="fielddoc">
<p>WARNING Level, errors and warnings are reported. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga56ae787b8feff2425013007288693b14a8f3fdb8b17e383badaf665e9ea3e9efe"></a>GTRACK_VERBOSE_DEBUG&#160;</td><td class="fielddoc">
<p>DEBUG Level, errors, warnings, and state transitions are reported. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga56ae787b8feff2425013007288693b14a9119458d8800df9f9792b02d82c462af"></a>GTRACK_VERBOSE_MATRIX&#160;</td><td class="fielddoc">
<p>MATRIX Level, previous level plus all intermediate computation results are reported. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga56ae787b8feff2425013007288693b14afcc380c9f4678ad5fd507bbbf5309b85"></a>GTRACK_VERBOSE_MAXIMUM&#160;</td><td class="fielddoc">
<p>MAXIMUM Level, maximum amount of details are reported. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga2733d052b2cd02bb8211eb817aa3190d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* gtrack_create </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__module_config.html">GTRACK_moduleConfig</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Algorithm level create funtion. Application calls this function to create an instance of GTRACK algorithm with desired configuration parameters. Function returns a handle, which shall be used to execute a single frame step function, or a delete function</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">config</td><td>This is a pointer to the configuration structure. The structure contains all parameters that are exposed by GTRACK alrorithm. The configuration does not need to persist. Advanced configuration structure can be set to NULL to use the default one. Any field within Advanced configuration can also be set to NULL to use the default values for the field. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error, see <a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html">Algorithm Error codes</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Handle</td><td>to GTRACK module </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0ab64b40df30e6956990bb79d63e78b4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Algorithm level delete funtion Application calls this function to delete an instance of GTRACK algorithm</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to GTRACK module</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab690635a7210e712a6d3ab4eef331071"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_step </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *&#160;</td>
          <td class="paramname"><em>point</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a> *&#160;</td>
          <td class="paramname"><em>var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>mNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t *&#160;</td>
          <td class="paramname"><em>tNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>mIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>bench</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Algorithm level step funtion Application shall call this function to process one frame of measurements with a given instance of the algorithm</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to GTRACK module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point</td><td>Pointer to an array of input measurments. Each measurement has range/angle/radial velocity information </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">var</td><td>Pointer to an array of input measurment variances. Shall be set to NULL if variances are unknown </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mNum</td><td>Number of input measurements </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">t</td><td>Pointer to an array of <a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a>. Application shall provide sufficient space for the expected number of targets. This function populates the descritions for each of the tracked target </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">tNum</td><td>Pointer to a uint16_t value. Function returns a number of populated target descriptos </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">mIndex</td><td>Pointer to an array of uint8_t indices. Application shall provide sufficient space to index all measurment points. This function populates target indices, indicating which tracking ID was assigned to each measurment. See Target ID defeinitions, example <a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga9a522224d04fcc4aec672fcb7d6560e4">GTRACK_ID_POINT_NOT_ASSOCIATED</a> Shall be set to NULL when indices aren't required. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">bench</td><td>Pointer to an array of benchmarking results. Each result is a 32bit timestamp. The array size shall be <a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga395da7089c9f0bc8e946ea762e205a59">GTRACK_BENCHMARK_SIZE</a>. This function populates the array with the timestamps of free runing CPU cycles count. Shall be set to NULL when benchmarking isn't required.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
